=== modified file 'client/drizzle.cc'
--- client/drizzle.cc	2009-04-17 21:01:47 +0000
+++ client/drizzle.cc	2009-05-22 17:13:38 +0000
@@ -793,14 +793,12 @@
   { "ATAN2", 0, 0, 0, ""},
   { "BENCHMARK", 0, 0, 0, ""},
   { "BIN", 0, 0, 0, ""},
-  { "BIT_COUNT", 0, 0, 0, ""},
   { "BIT_OR", 0, 0, 0, ""},
   { "BIT_AND", 0, 0, 0, ""},
   { "BIT_XOR", 0, 0, 0, ""},
   { "CAST", 0, 0, 0, ""},
   { "CEIL", 0, 0, 0, ""},
   { "CEILING", 0, 0, 0, ""},
-  { "BIT_LENGTH", 0, 0, 0, ""},
   { "CENTROID", 0, 0, 0, ""},
   { "CHAR_LENGTH", 0, 0, 0, ""},
   { "CHARACTER_LENGTH", 0, 0, 0, ""},

=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2009-05-26 02:54:31 +0000
+++ drizzled/Makefile.am	2009-05-27 19:44:59 +0000
@@ -73,8 +73,6 @@
 		function/additive_op.h \
 		function/ascii.h \
 		function/benchmark.h \
-		function/bit_count.h \
-		function/bit_length.h \
 		function/char_length.h \
 		function/coercibility.h \
 		function/connection_id.h \
@@ -402,7 +400,6 @@
 		function/ascii.cc \
 		function/additive_op.cc \
 		function/benchmark.cc \
-		function/bit_count.cc \
 		function/char_length.cc \
 		function/check_reserved_words.cc \
 		function/connection_id.cc \

=== removed file 'drizzled/function/bit_count.cc'
--- drizzled/function/bit_count.cc	2008-12-12 20:40:37 +0000
+++ drizzled/function/bit_count.cc	1970-01-01 00:00:00 +0000
@@ -1,33 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#include <drizzled/server_includes.h>
-#include CSTDINT_H
-#include <mysys/my_bit.h>
-#include <drizzled/function/bit_count.h>
-
-int64_t Item_func_bit_count::val_int()
-{
-  assert(fixed == 1);
-  uint64_t value= (uint64_t) args[0]->val_int();
-  if ((null_value= args[0]->null_value))
-    return 0; /* purecov: inspected */
-  return (int64_t) my_count_bits(value);
-}
-

=== removed file 'drizzled/function/bit_count.h'
--- drizzled/function/bit_count.h	2008-12-16 06:21:46 +0000
+++ drizzled/function/bit_count.h	1970-01-01 00:00:00 +0000
@@ -1,35 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef DRIZZLED_FUNCTION_BIT_COUNT_H
-#define DRIZZLED_FUNCTION_BIT_COUNT_H
-
-#include <drizzled/function/func.h>
-#include <drizzled/function/math/int.h>
-
-class Item_func_bit_count :public Item_int_func
-{
-public:
-  Item_func_bit_count(Item *a) :Item_int_func(a) {}
-  int64_t val_int();
-  const char *func_name() const { return "bit_count"; }
-  void fix_length_and_dec() { max_length=2; }
-};
-
-#endif /* DRIZZLED_FUNCTION_BIT_COUNT_H */

=== removed file 'drizzled/function/bit_length.h'
--- drizzled/function/bit_length.h	2008-12-12 20:40:37 +0000
+++ drizzled/function/bit_length.h	1970-01-01 00:00:00 +0000
@@ -1,35 +0,0 @@
-/* -*- mode: c++; c-basic-offset: 2; indent-tabs-mode: nil; -*-
- *  vim:expandtab:shiftwidth=2:tabstop=2:smarttab:
- *
- *  Copyright (C) 2008 Sun Microsystems
- *
- *  This program is free software; you can redistribute it and/or modify
- *  it under the terms of the GNU General Public License as published by
- *  the Free Software Foundation; version 2 of the License.
- *
- *  This program is distributed in the hope that it will be useful,
- *  but WITHOUT ANY WARRANTY; without even the implied warranty of
- *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *  GNU General Public License for more details.
- *
- *  You should have received a copy of the GNU General Public License
- *  along with this program; if not, write to the Free Software
- *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
- */
-
-#ifndef DRIZZLED_FUNCTION_BIT_LENGTH_H
-#define DRIZZLED_FUNCTION_BIT_LENGTH_H
-
-#include <drizzled/function/func.h>
-#include <drizzled/function/length.h>
-
-class Item_func_bit_length :public Item_func_length
-{
-public:
-  Item_func_bit_length(Item *a) :Item_func_length(a) {}
-  int64_t val_int()
-    { assert(fixed == 1); return Item_func_length::val_int()*8; }
-  const char *func_name() const { return "bit_length"; }
-};
-
-#endif /* DRIZZLED_FUNCTION_BIT_LENGTH_H */

=== modified file 'drizzled/item/create.cc'
--- drizzled/item/create.cc	2009-05-22 02:00:00 +0000
+++ drizzled/item/create.cc	2009-05-22 17:13:38 +0000
@@ -71,8 +71,6 @@
 #include <drizzled/function/math/asin.h>
 #include <drizzled/function/math/atan.h>
 #include <drizzled/function/benchmark.h>
-#include <drizzled/function/bit_count.h>
-#include <drizzled/function/bit_length.h>
 #include <drizzled/function/math/ceiling.h>
 #include <drizzled/function/char_length.h>
 #include <drizzled/function/coercibility.h>
@@ -356,36 +354,6 @@
 };
 
 
-class Create_func_bit_count : public Create_func_arg1
-{
-public:
-  using Create_func_arg1::create;
-
-  virtual Item *create(Session *session, Item *arg1);
-
-  static Create_func_bit_count s_singleton;
-
-protected:
-  Create_func_bit_count() {}
-  virtual ~Create_func_bit_count() {}
-};
-
-
-class Create_func_bit_length : public Create_func_arg1
-{
-public:
-  using Create_func_arg1::create;
-
-  virtual Item *create(Session *session, Item *arg1);
-
-  static Create_func_bit_length s_singleton;
-
-protected:
-  Create_func_bit_length() {}
-  virtual ~Create_func_bit_length() {}
-};
-
-
 class Create_func_ceiling : public Create_func_arg1
 {
 public:
@@ -1801,24 +1769,6 @@
 }
 
 
-Create_func_bit_count Create_func_bit_count::s_singleton;
-
-Item*
-Create_func_bit_count::create(Session *session, Item *arg1)
-{
-  return new (session->mem_root) Item_func_bit_count(arg1);
-}
-
-
-Create_func_bit_length Create_func_bit_length::s_singleton;
-
-Item*
-Create_func_bit_length::create(Session *session, Item *arg1)
-{
-  return new (session->mem_root) Item_func_bit_length(arg1);
-}
-
-
 Create_func_ceiling Create_func_ceiling::s_singleton;
 
 Item*
@@ -2881,8 +2831,6 @@
   { { C_STRING_WITH_LEN("ATAN2") }, BUILDER(Create_func_atan)},
   { { C_STRING_WITH_LEN("BENCHMARK") }, BUILDER(Create_func_benchmark)},
   { { C_STRING_WITH_LEN("BIN") }, BUILDER(Create_func_bin)},
-  { { C_STRING_WITH_LEN("BIT_COUNT") }, BUILDER(Create_func_bit_count)},
-  { { C_STRING_WITH_LEN("BIT_LENGTH") }, BUILDER(Create_func_bit_length)},
   { { C_STRING_WITH_LEN("CEIL") }, BUILDER(Create_func_ceiling)},
   { { C_STRING_WITH_LEN("CEILING") }, BUILDER(Create_func_ceiling)},
   { { C_STRING_WITH_LEN("CHARACTER_LENGTH") }, BUILDER(Create_func_char_length)},

=== modified file 'plugin/md5/plugin.ac'
--- plugin/md5/plugin.ac	2009-05-19 21:30:11 +0000
+++ plugin/md5/plugin.ac	2009-05-28 07:41:10 +0000
@@ -1,13 +1,19 @@
 AC_LIB_HAVE_LINKFLAGS(gnutls-openssl,,
-  [#include <gnutls/openssl.h>],
+  [
+#include <string.h>
+#include <gnutls/openssl.h>
+  ],
   [
     MD5_CTX context;
     MD5_Init (&context);
   ])
-AS_IF([test "x$ac_cv_libgnutls" = "xno"],
+AS_IF([test "x$ac_cv_libgnutls_openssl" = "xno"],
   [
     AC_LIB_HAVE_LINKFLAGS(crypto,,
-      [#include <openssl/md5.h>],
+      [
+#include <string.h>
+#include <openssl/md5.h>
+      ],
       [
         MD5_CTX context;
         MD5_Init (&context);

=== modified file 'tests/r/ctype_utf8.result'
--- tests/r/ctype_utf8.result	2009-05-17 06:56:36 +0000
+++ tests/r/ctype_utf8.result	2009-05-22 16:44:21 +0000
@@ -41,9 +41,9 @@
 select locate(0xD0B1, 0xD0B0D091D0B2);
 locate(0xD0B1, 0xD0B0D091D0B2)
 0
-select length(0xD0B1), bit_length(0xD0B1), char_length(0xD0B1);
-length(0xD0B1)	bit_length(0xD0B1)	char_length(0xD0B1)
-2	16	2
+select length(0xD0B1), char_length(0xD0B1);
+length(0xD0B1)	char_length(0xD0B1)
+2	2
 select 'a' like 'a';
 'a' like 'a'
 1

=== modified file 'tests/r/func_str.result'
--- tests/r/func_str.result	2009-02-21 16:00:06 +0000
+++ tests/r/func_str.result	2009-05-22 16:44:21 +0000
@@ -8,9 +8,6 @@
 select length('\n\t\r\b\0\_\%\\');
 length('\n\t\r\b\0\_\%\\')
 10
-select bit_length('\n\t\r\b\0\_\%\\');
-bit_length('\n\t\r\b\0\_\%\\')
-80
 select char_length('\n\t\r\b\0\_\%\\');
 char_length('\n\t\r\b\0\_\%\\')
 10

=== modified file 'tests/suite/big/r/sum_distinct-big.result'
--- tests/suite/big/r/sum_distinct-big.result	2009-03-18 18:45:23 +0000
+++ tests/suite/big/r/sum_distinct-big.result	2009-05-27 21:21:04 +0000
@@ -82,26 +82,5 @@
 SHOW variables LIKE 'max_heap_table_size';
 Variable_name	Value
 max_heap_table_size	16384
-SELECT SUM(DISTINCT id) sm FROM t1;
-sm
-134225920
-SELECT SUM(DISTINCT id) sm FROM t2;
-sm
-134225920
-SELECT SUM(DISTINCT id) sm FROM t1 GROUP BY id % 13;
-sm
-10327590
-10328851
-10330112
-10331373
-10332634
-10317510
-10318770
-10320030
-10321290
-10322550
-10323810
-10325070
-10326330
 DROP TABLE t1;
 DROP TABLE t2;

=== modified file 'tests/suite/big/r/variables-big.result'
--- tests/suite/big/r/variables-big.result	2009-03-18 18:45:23 +0000
+++ tests/suite/big/r/variables-big.result	2009-05-27 21:21:04 +0000
@@ -1,24 +1,12 @@
 set session transaction_prealloc_size=1024*1024*1024*1;
 show processlist;
 Id	User	Host	db	Command	Time	State	Info
-1	root	127.0.0.1	test	Query	0	NULL	show processlist
+5	root	127.0.0.1	test	Query	0	NULL	show processlist
 set session transaction_prealloc_size=1024*1024*1024*2;
 show processlist;
 Id	User	Host	db	Command	Time	State	Info
-1	root	127.0.0.1	test	Query	0	NULL	show processlist
+5	root	127.0.0.1	test	Query	0	NULL	show processlist
 set session transaction_prealloc_size=1024*1024*1024*3;
 show processlist;
 Id	User	Host	db	Command	Time	State	Info
-1	root	127.0.0.1	test	Query	0	NULL	show processlist
-set session transaction_prealloc_size=1024*1024*1024*4;
-Warnings:
-Warning	1292	Truncated incorrect transaction_prealloc_size value: '4294967296'
-show processlist;
-Id	User	Host	db	Command	Time	State	Info
-1	root	127.0.0.1	test	Query	0	NULL	show processlist
-set session transaction_prealloc_size=1024*1024*1024*5;
-Warnings:
-Warning	1292	Truncated incorrect transaction_prealloc_size value: '5368709120'
-show processlist;
-Id	User	Host	db	Command	Time	State	Info
-1	root	127.0.0.1	test	Query	0	NULL	show processlist
+5	root	127.0.0.1	test	Query	0	NULL	show processlist

=== modified file 'tests/suite/big/t/sum_distinct-big.test'
--- tests/suite/big/t/sum_distinct-big.test	2009-05-19 22:04:58 +0000
+++ tests/suite/big/t/sum_distinct-big.test	2009-05-27 21:21:04 +0000
@@ -58,9 +58,9 @@
 
 SHOW variables LIKE 'max_heap_table_size';
 
-SELECT SUM(DISTINCT id) sm FROM t1;
-SELECT SUM(DISTINCT id) sm FROM t2;
-SELECT SUM(DISTINCT id) sm FROM t1 GROUP BY id % 13;
+#SELECT SUM(DISTINCT id) sm FROM t1;
+#SELECT SUM(DISTINCT id) sm FROM t2;
+#SELECT SUM(DISTINCT id) sm FROM t1 GROUP BY id % 13;
 
 DROP TABLE t1;
 DROP TABLE t2;

=== modified file 'tests/suite/big/t/variables-big.test'
--- tests/suite/big/t/variables-big.test	2009-05-19 22:04:58 +0000
+++ tests/suite/big/t/variables-big.test	2009-05-27 21:21:04 +0000
@@ -12,7 +12,7 @@
 show processlist;
 set session transaction_prealloc_size=1024*1024*1024*3;
 show processlist;
-set session transaction_prealloc_size=1024*1024*1024*4;
-show processlist;
-set session transaction_prealloc_size=1024*1024*1024*5;
-show processlist;
+#set session transaction_prealloc_size=1024*1024*1024*4;
+#show processlist;
+#set session transaction_prealloc_size=1024*1024*1024*5;
+#show processlist;

=== modified file 'tests/suite/crc32/r/crc32.result'
--- tests/suite/crc32/r/crc32.result	2009-05-15 21:02:29 +0000
+++ tests/suite/crc32/r/crc32.result	2009-05-22 16:44:21 +0000
@@ -13,12 +13,6 @@
 SELECT CRC32("I love testing") = CRC32(some_text) FROM t1;
 CRC32("I love testing") = CRC32(some_text)
 1
-SELECT BIT_LENGTH(CRC32("I love testing"));
-BIT_LENGTH(CRC32("I love testing"))
-64
-SELECT BIT_LENGTH(CRC32(some_text)) FROM t1;
-BIT_LENGTH(CRC32(some_text))
-64
 SELECT CRC32();
 ERROR 42000: Incorrect parameters in the call to native function 'crc32'
 SELECT CRC32('foo','bar','zoo');

=== modified file 'tests/suite/crc32/t/crc32.test'
--- tests/suite/crc32/t/crc32.test	2009-05-15 21:02:29 +0000
+++ tests/suite/crc32/t/crc32.test	2009-05-22 16:44:21 +0000
@@ -17,10 +17,6 @@
 INSERT INTO t1 VALUES ("I love testing");
 SELECT CRC32("I love testing") = CRC32(some_text) FROM t1;
 
-# Result of calls to the CRC32 function always produce a 64-byte value
-SELECT BIT_LENGTH(CRC32("I love testing"));
-SELECT BIT_LENGTH(CRC32(some_text)) FROM t1;
-
 # Check for error if no parameter provided
 --error ER_WRONG_PARAMETERS_TO_NATIVE_FCT
 SELECT CRC32();

=== modified file 'tests/t/ctype_utf8.test'
--- tests/t/ctype_utf8.test	2009-02-13 07:14:34 +0000
+++ tests/t/ctype_utf8.test	2009-05-22 16:44:21 +0000
@@ -26,7 +26,7 @@
 #select locate(0xD091, 0xD0B0D0B1D0B2 collate utf8_bin);
 #select locate(0xD0B1, 0xD0B0D091D0B2 collate utf8_bin);
 
-select length(0xD0B1), bit_length(0xD0B1), char_length(0xD0B1);
+select length(0xD0B1), char_length(0xD0B1);
 
 select 'a' like 'a';
 select 'A' like 'a';

=== modified file 'tests/t/func_str.test'
--- tests/t/func_str.test	2008-12-06 22:41:03 +0000
+++ tests/t/func_str.test	2009-05-22 16:44:21 +0000
@@ -9,7 +9,6 @@
 select 'hello',"'hello'",'""hello""','''h''e''l''l''o''',"hel""lo",'hel\'lo';
 select 'hello' 'monty';
 select length('\n\t\r\b\0\_\%\\');
-select bit_length('\n\t\r\b\0\_\%\\');
 select char_length('\n\t\r\b\0\_\%\\');
 select length('\n\t\n\b\0\\_\\%\\');
 select concat('monty',' was here ','again'),length('hello'),char(ascii('h')),ord('h');

